# Draw
TKDraw
DBRep

# DBRep_ListIteratorOfListOfFace Class Reference

`#include <DBRep_ListIteratorOfListOfFace.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | DBRep_ListIteratorOfListOfFace ()
Standard_EXPORT | DBRep_ListIteratorOfListOfFace (const DBRep_ListOfFace &L)
Standard_EXPORT void | Initialize (const DBRep_ListOfFace &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Handle_DBRep_Face & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT DBRep_ListIteratorOfListOfFace::DBRep_ListIteratorOfListOfFace | ( |  | ) |

Standard_EXPORT DBRep_ListIteratorOfListOfFace::DBRep_ListIteratorOfListOfFace | ( | const DBRep_ListOfFace & | L | ) |

## Member Function Documentation

Standard_EXPORT void DBRep_ListIteratorOfListOfFace::Initialize | ( | const DBRep_ListOfFace & | L | ) |

Standard_Boolean DBRep_ListIteratorOfListOfFace::More | ( |  | ) | const

Standard_EXPORT void DBRep_ListIteratorOfListOfFace::Next | ( |  | ) |

void DBRep_ListIteratorOfListOfFace::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DBRep_ListIteratorOfListOfFace::operator new | ( | size_t | size | ) | `[inline]`

void* DBRep_ListIteratorOfListOfFace::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Handle_DBRep_Face& DBRep_ListIteratorOfListOfFace::Value | ( |  | ) | const

## Field Documentation

Standard_Address DBRep_ListIteratorOfListOfFace::current `[private]`

Standard_Address DBRep_ListIteratorOfListOfFace::previous `[private]`

The documentation for this class was generated from the following file:

- DBRep_ListIteratorOfListOfFace.hxx